NeoOffice 1.2 Alpha Release Notes

From NeoWiki

Revision as of 18:25, 30 November 2005 by Val1984 (Talk | contribs)
Jump to: navigation, search


Current Version

The latest version of NeoOffice is: 1.2 Alpha.


If you want to receive announcements whenever a patch or new release of NeoOffice is available, subscribe to the NeoJUpdate mailing list. To subscribe to the NeoJUpdate mailing list, send an e-mail to

Current Patch

Patch-2 is now available.

The new changes included in this patch are listed below:

  • Fixes a bug where modal dialogues might appear off-screen
  • Fixes a bug where certain UI elements would appear in the wrong place after resizing a window
  • Worked around possible problems with the Mac OS X pax command

Note: Patch-2 requires a full installation of NeoOffice 1.2 Alpha and will not install on any version of NeoOffice/J 1.1. Patch-2 includes all fixes and additions of previous patches.

Older Patches

1.2 Alpha Patch-1: The new changes included in this patch are listed below:

  • Fixes a bug where pathnames in preferences were not updated (could cause I/O, script, or BASIC error messages, failing to save, etc.)

New Features in NeoOffice 1.2 Alpha

If you have not downloaded a release of NeoOffice since version 1.1, there are dozens of new features in NeoOffice 1.2 Alpha. Some of the most significant include:

  • Decreased memory and CPU usage
  • Reduced time before the splash screen appears
  • Improved performance in some areas, especially drawing
  • Uses Java 1.4.2
  • Ability to print embedded EPS files
  • Numerous printing fixes
  • Improved support for international keyboard layouts
  • Font-handling improvements
  • Enhanced copy and paste support
  • Improved compatibility with voice dictation software (iListen, ViaVoice)
  • Support for accessibility features
  • Based on 1.1.5 codebase
  • Support for reading OpenDocument (aka 2.0) file formats
  • Spotlight support for OpenDocument formats via NeoLight 1.1
  • Requires Mac OS X 10.3 or newer
    Due to our limited resources and the bugginess of Java 1.4.1 on Mac OS X 10.2.x, we are no longer able to support Mac OS X 10.2

Archived Release Notes

This article in other languages: Français
Personal tools